Bug 825338 - Broken links on installer/start.jsf page
Broken links on installer/start.jsf page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: RHQ 4.5.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On: 823860
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-25 14:17 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 823860
Environment:
Last Closed: 2013-09-01 05:59:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HTML source (42.26 KB, text/html)
2012-06-01 04:44 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Charles Crouch 2012-05-25 14:17:21 EDT
+++ This bug was initially created as a clone of Bug #823860 +++

Description of problem:
All links on installer/start.jsf page are broken. See attached picture

Version-Release number of selected component (if applicable):
jon-server-3.1.0.ER4

How reproducible:
Always
Comment 1 Charles Crouch 2012-05-25 14:17:47 EDT
This is fixed in master
Comment 3 John Mazzitelli 2012-06-01 07:58:30 EDT
(In reply to comment #2)
> http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/
> Admin_Configuring_JON_Servers_and_Agents/server-properties.html#-
> RegisteredServers
> http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/
> Admin_Configuring_JON_Servers_and_Agents/server-properties.html#-
> ServerPublicAddress
> http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/
> Admin_Configuring_JON_Servers_and_Agents/server-properties.html#-
> ServerAffinityGroup
> 
> http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/
> Admin_Configuring_JON_Servers_and_Agents/server-properties.
> html#WebServicePort

fyi: this isn't a release blocker. the help URLs should not have had "-" in them (#-ServerAffinityGroup) - I thought I changed all of those, but I have a suspicision those URLs are generated from different code from all the rest. Because some of them don't have "-" in them (#WebServicePort).

For those without the "-", those URLs are correct (they render to a proper page in the RHQ docs) however, for the JON docs, there may not be page sections with those anchor names (like WebServicePort or ServerAffinityGroup) so the link will just take you to the main server properties page. This behavior is OK, it at least takes you to the page with the properties documentation.
Comment 4 John Mazzitelli 2012-06-14 11:01:35 EDT
now that we moved to jboss.org confluence server, we need to change all the RHQ links to point to those URLs. rhq-project.org URLs are going away shortly.
Comment 5 John Mazzitelli 2012-06-14 15:17:59 EDT
git commit to master f33a3ac - links now go to the new jboss.org RHQ confluence docs
Comment 6 Heiko W. Rupp 2013-09-01 05:59:35 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.